> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Prices for a Product

> The "List Prices for a Product" API allows retrieving a paginated list of prices associated with a specific product. Customize your results by filtering prices or paginate through the list using the provided query parameters.



## OpenAPI

````yaml /api-reference/products/openapi.json get /products/{productId}/price
openapi: 3.0.0
info:
  title: Products API
  description: Documentation for products API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Products
    description: Documentation for products API
  - name: Prices
    description: Documentation for products API
  - name: Store
    description: Documentation for products API
  - name: Collections
    description: Documentation for products API
  - name: Reviews
    description: Documentation for products API
paths:
  /products/{productId}/price:
    get:
      tags:
        - Prices
      summary: List Prices for a Product
      description: >-
        The "List Prices for a Product" API allows retrieving a paginated list
        of prices associated with a specific product. Customize your results by
        filtering prices or paginate through the list using the provided query
        parameters.
      operationId: list-prices-for-product
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: productId
          required: true
          in: path
          description: ID of the product that needs to be used
          schema:
            example: 6578278e879ad2646715ba9c
            type: string
        - name: limit
          required: false
          in: query
          description: >-
            The maximum number of items to be included in a single page of
            results
          schema:
            default: 0
            example: 20
            type: number
        - name: offset
          required: false
          in: query
          description: >-
            The starting index of the page, indicating the position from which
            the results should be retrieved.
          schema:
            default: 0
            example: 0
            type: number
        - name: locationId
          required: true
          in: query
          description: The unique identifier for the location.
          schema:
            example: 3SwdhCsvxI8Au3KsPJt6
            type: string
        - name: ids
          required: false
          in: query
          description: >-
            To filter the response only with the given price ids, Please provide
            with comma separated
          schema:
            example: 6241712be68f7a98102ba272,632027d51f7876cd3020213d
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPricesResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - products/prices.readonly
        - Agency-Access:
            - products/prices.readonly
components:
  schemas:
    ListPricesResponseDto:
      type: object
      properties:
        prices:
          description: An array of prices
          type: array
          items:
            $ref: '#/components/schemas/DefaultPriceResponseDto'
        total:
          type: number
          default: Total number of prices available
          example: 10
      required:
        - prices
        - total
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    DefaultPriceResponseDto:
      type: object
      properties:
        _id:
          type: string
          description: The unique identifier for the price.
          example: 655b33aa2209e60b6adb87a7
        membershipOffers:
          description: An array of membership offers associated with the price.
          type: array
          items:
            $ref: '#/components/schemas/MembershipOfferDto'
        variantOptionIds:
          description: An array of variant option IDs associated with the price.
          example:
            - h4z7u0im2q8
            - h3nst2ltsnn
          type: array
          items:
            type: string
        locationId:
          type: string
          description: The unique identifier for the location.
          example: 3SwdhCsvxI8Au3KsPJt6
        product:
          type: string
          description: The unique identifier for the associated product.
          example: 655b33a82209e60b6adb87a5
        userId:
          type: string
          description: The unique identifier for the user.
          example: 6YAtzfzpmHAdj0e8GkKp
        name:
          type: string
          description: The name of the price.
          example: Red / S
        type:
          type: string
          description: The type of the price (e.g., one_time).
          example: one_time
          enum:
            - one_time
            - recurring
        currency:
          type: string
          description: The currency code for the price.
          example: INR
        amount:
          type: number
          description: The amount of the price.
          example: 199999
        recurring:
          $ref: '#/components/schemas/RecurringDto'
        createdAt:
          format: date-time
          type: string
          description: The creation timestamp of the price.
          example: '2023-11-20T10:23:38.645Z'
        updatedAt:
          format: date-time
          type: string
          description: The last update timestamp of the price.
          example: '2024-01-23T09:57:04.852Z'
        compareAtPrice:
          type: number
          description: The compare-at price for comparison purposes.
          example: 2000000
        trackInventory:
          type: boolean
          description: Indicates whether inventory tracking is enabled.
          example: null
        availableQuantity:
          type: number
          description: Available inventory stock quantity
          example: 5
        allowOutOfStockPurchases:
          type: boolean
          description: Continue selling when out of stock
          example: true
      required:
        - _id
        - name
        - type
        - currency
        - amount
    MembershipOfferDto:
      type: object
      properties:
        label:
          type: string
          description: Membership offer label
          example: top_50
        value:
          type: string
          description: Membership offer label
          example: '50'
        _id:
          type: string
          description: The unique identifier for the membership offer.
          example: 655b33aa2209e60b6adb87a7
      required:
        - label
        - value
        - _id
    RecurringDto:
      type: object
      properties:
        interval:
          type: string
          description: The interval at which the recurring event occurs.
          example: day
          enum:
            - day
            - month
            - week
            - year
        intervalCount:
          type: number
          description: The number of intervals between each occurrence of the event.
          example: 1
      required:
        - interval
        - intervalCount

````